'use client'
import { useQuery, useMutation } from '@tanstack/react-query'
import { ListArguments } from '@/types/listRequest'

const fetchGraphQlBuildPartsList = async (params: ListArguments): Promise<any> => {
    console.log('Fetching test data from local API');
    const { limit, skip, sort, filters } = params;
    try {
        const res = await fetch('/api/builds-parts/list', { method: 'POST', cache: 'no-store', credentials: "include", body: JSON.stringify({ limit, skip, sort, filters }) });
        if (!res.ok) { const errorText = await res.text(); console.error('Test data API error:', errorText); throw new Error(`API error: ${res.status} ${res.statusText}`) }
        const data = await res.json();
        return { data: data.data, totalCount: data.totalCount }
    } catch (error) { console.error('Error fetching test data:', error); throw error }
};

export function useGraphQlBuildPartsList(params: ListArguments) {
    return useQuery({ queryKey: ['graphql-build-parts-list', params], queryFn: () => fetchGraphQlBuildPartsList(params) })
}
